rework translation/article creation UI
Closed, ResolvedPublic

Description

The current translate/create article UI of the ArticlePlaceholder needs to be tweaked.

Stories/needed changes:

  • User is asked if they want to translate an article or create it from scratch. (translate first!)
  • Radio buttons should be used to distinguish translation/acrticle creation.
  • When clicking the language field for the translation the radio button for translation should automatically be selected.

Mockup:

We are not doing for now: checking of the page title and giving feedback on its validity

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 29 2016, 9:59 AM
Jonas moved this task from Proposed to Doing on the Wikidata-Sprint board.
Jonas claimed this task.

Change 324398 had a related patch set uploaded (by Jonas Kress (WMDE)):
Rework translation/article creation UI

https://gerrit.wikimedia.org/r/324398

Jonas moved this task from Doing to Review on the Wikidata-Sprint board.Dec 1 2016, 3:18 PM

Change 324912 had a related patch set uploaded (by Jonas Kress (WMDE)):
QUnit setup and basic tests for create article dialog

https://gerrit.wikimedia.org/r/324912

Change 325560 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Fix mistakes in createArticleTranslation

https://gerrit.wikimedia.org/r/325560

Change 324398 merged by jenkins-bot:
Rework translation/article creation UI

https://gerrit.wikimedia.org/r/324398

Change 325560 merged by jenkins-bot:
Fix mistakes in createArticleTranslation

https://gerrit.wikimedia.org/r/325560

Jonas moved this task from Review to Done on the Wikidata-Sprint board.Dec 12 2016, 11:08 AM

Change 324912 merged by jenkins-bot:
QUnit setup and basic tests for create article dialog

https://gerrit.wikimedia.org/r/324912

thiemowmde closed this task as "Resolved".Jan 3 2017, 1:29 PM
hoo moved this task from Incoming to Done on the ArticlePlaceholder board.Tue, Jan 31, 3:01 PM